<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>FontPanel xref</title>
<link type="text/css" rel="stylesheet" href="../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../apidocs/view/FontPanel.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <strong class="jxr_keyword">package</strong> view;
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <strong class="jxr_keyword">import</strong> java.awt.Container;
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <strong class="jxr_keyword">import</strong> java.awt.GridLayout;
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <strong class="jxr_keyword">import</strong> java.awt.Image;
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <strong class="jxr_keyword">import</strong> java.io.File;
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  <strong class="jxr_keyword">import</strong> java.io.IOException;
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  <strong class="jxr_keyword">import</strong> javax.imageio.ImageIO;
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> javax.swing.JPanel;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <em class="jxr_comment">//import com.mysql.cj.api.xdevapi.Table;</em>
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> model.Model;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <em class="jxr_comment">// TODO: Auto-generated Javadoc</em>
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <em class="jxr_javadoccomment"> * The Class FontPanel.</em>
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../view/FontPanel.html">FontPanel</a> <strong class="jxr_keyword">extends</strong> Container {
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  <em class="jxr_comment">	 * public FontPanel(BoulderDashModel model) { super(); this.model = model; }</em>
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  	<em class="jxr_javadoccomment">/** The Constant serialVersionUID. */</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  	<strong class="jxr_keyword">private</strong> <strong class="jxr_keyword">static</strong> <strong class="jxr_keyword">final</strong> <strong class="jxr_keyword">long</strong> serialVersionUID = 1L;
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<em class="jxr_javadoccomment">/** The model. */</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  	<strong class="jxr_keyword">private</strong> Model model;
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	<em class="jxr_comment">// public void BoulderDashView(BoulderDashModel model) {</em>
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<em class="jxr_comment">// this.model = model;</em>
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  	<em class="jxr_comment">// }</em>
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  	<em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  <em class="jxr_comment">	 * FontPanel (Model model, int x, int y) {</em>
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  <em class="jxr_comment">	 * System.out.println("construteur FontPanel"); this.model= model;</em>
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  <em class="jxr_comment">	 * //System.out.println(model); System.out.println(x); System.out.println(y); }</em>
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  <em class="jxr_comment">	 */</em>
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 * Instantiates a new font panel.</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  <em class="jxr_javadoccomment">	 *</em>
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  <em class="jxr_javadoccomment">	 * @param model the model</em>
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  <em class="jxr_javadoccomment">	 * @param x     the x</em>
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  <em class="jxr_javadoccomment">	 * @param y     the y</em>
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  <em class="jxr_javadoccomment">	 * @throws IOException Signals that an I/O exception has occurred.</em>
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  	FontPanel(Model model, <strong class="jxr_keyword">int</strong> x, <strong class="jxr_keyword">int</strong> y) <strong class="jxr_keyword">throws</strong> IOException {
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		<strong class="jxr_keyword">this</strong>.model = model;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  		<em class="jxr_comment">// System.out.println("FontPanel");</em>
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  		<strong class="jxr_keyword">this</strong>.setLayout(<strong class="jxr_keyword">new</strong> GridLayout(x, y));
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  		<strong class="jxr_keyword">for</strong> (<strong class="jxr_keyword">int</strong> i = 0; i &lt; x; i++) {
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  			<strong class="jxr_keyword">for</strong> (<strong class="jxr_keyword">int</strong> j = 0; j &lt; y; j++) {
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  				String adress = <span class="jxr_string">"..&#92;&#92;ressources&#92;&#92;"</span>;
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  				String spriteName = model.getMap().getOnTheMapXY(j, i).getSprite();
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  				String adressSprite = adress + spriteName;
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  				<em class="jxr_comment">// System.out.println(adressSprite);</em>
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  				File OpenSprite = <strong class="jxr_keyword">new</strong> File(adressSprite);
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  				Image image = ImageIO.read(OpenSprite);
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  				JPanel displayPanel = <strong class="jxr_keyword">new</strong> <a href="../view/GamePanel.html">GamePanel</a>(image);
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  				<em class="jxr_comment">// displayPanel.drawImage(image, 0,0,this);</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  				<strong class="jxr_keyword">this</strong>.add(displayPanel);
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  			}
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		}
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  	}
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2019. All rights reserved.</div>
</body>
</html>
